Package com.collabnet.ce.soap60.webservices.tracker

# Class Tracker3SoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow
com.collabnet.ce.soap60.webservices.tracker.Tracker3SoapRow

public class Tracker3SoapRow extends FolderSoapRow
A list of trackers is represented by TrackerSoapList class. Each row within a tracker list is represented by the TrackerSoapRow class.
Change History
Release: 6.1

- Added icon field.

Release: 6.2

- Added tracker unit.

Release: 8.0

- Added autosum foreign children.

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tracker3SoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getAutosumForeignChildren()`
  Returns 'autosumForeignChildren'.
  `String`
  `getIcon()`
  Returns 'icon'.
  `String`
  `getLastEditedByFullname()`
  Returns 'lastEditedByFullname'.
  `String`
  `getLastEditedByUsername()`
  Returns 'lastEditedByUsername'.
  `Date`
  `getLastEditedDate()`
  Returns 'lastEditedDate'.
  `String`
  `getTrackerUnitId()`
  Returns 'trackerUnitId'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setAutosumForeignChildren(boolean autosumForeignChildren)`
  Sets 'autosumForeignChildren'.
  `void`
  `setIcon(String icon)`
  Sets 'icon'.
  `void`
  `setLastEditedByFullname(String lastEditedByFullname)`
  Sets 'lastEditedByFullname'.
  `void`
  `setLastEditedByUsername(String lastEditedByUsername)`
  Sets 'lastEditedByUsername'.
  `void`
  `setLastEditedDate(Date lastEditedDate)`
  Sets 'lastEditedDate'.
  `void`
  `setTrackerUnitId(String trackerUnitId)`
  Sets 'trackerUnitId'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow

  `getCreatedBy, getCreatedOn, getDescription, getId, getLastModifiedBy, getLastModifiedOn, getParentFolderId, getPath, getProjectId, getTitle, setCreatedBy, setCreatedOn, setDescription, setId, setLastModifiedBy, setLastModifiedOn, setParentFolderId, setPath, setProjectId, setTitle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Tracker3SoapRow

    public Tracker3SoapRow()

- ## Method Details

  - ### getLastEditedByUsername

    public String getLastEditedByUsername()
    Returns 'lastEditedByUsername'. The username of the last user to edit the tracker
    Returns:
      Value of 'lastEditedByUsername'.

  - ### setLastEditedByUsername

    public void setLastEditedByUsername(String lastEditedByUsername)
    Sets 'lastEditedByUsername'. The username of the last user to edit the tracker
    Parameters:
      `lastEditedByUsername` - Value of 'lastEditedByUsername'.

  - ### getLastEditedByFullname

    public String getLastEditedByFullname()
    Returns 'lastEditedByFullname'. The full name of the last user to edit the tracker
    Returns:
      Value of 'lastEditedByFullname'.

  - ### setLastEditedByFullname

    public void setLastEditedByFullname(String lastEditedByFullname)
    Sets 'lastEditedByFullname'. The full name of the last user to edit the tracker
    Parameters:
      `lastEditedByFullname` - Value of 'lastEditedByFullname'.

  - ### getLastEditedDate

    public Date getLastEditedDate()
    Returns 'lastEditedDate'. When details of the tracker were last changed
    Returns:
      Value of 'lastEditedDate'.

  - ### setLastEditedDate

    public void setLastEditedDate(Date lastEditedDate)
    Sets 'lastEditedDate'. When details of the tracker were last changed
    Parameters:
      `lastEditedDate` - Value of 'lastEditedDate'.

  - ### getIcon

    public String getIcon()
    Returns 'icon'. The tracker icon
    Returns:
      Value of 'icon'.

  - ### setIcon

    public void setIcon(String icon)
    Sets 'icon'. The tracker icon
    Parameters:
      `icon` - Value of 'icon'.

  - ### getTrackerUnitId

    public String getTrackerUnitId()
    Returns 'trackerUnitId'. The tracker unit id
    Returns:
      Value of 'trackerUnitId'.

  - ### setTrackerUnitId

    public void setTrackerUnitId(String trackerUnitId)
    Sets 'trackerUnitId'. The tracker unit id
    Parameters:
      `trackerUnitId` - Value of 'trackerUnitId'.

  - ### getAutosumForeignChildren

    public boolean getAutosumForeignChildren()
    Returns 'autosumForeignChildren'. The flag indicating whether the autosum calculation of effort and points includes children from foreign projects.
    Returns:
      Value of 'autosumForeignChildren'.

  - ### setAutosumForeignChildren

    public void setAutosumForeignChildren(boolean autosumForeignChildren)
    Sets 'autosumForeignChildren'. The flag indicating whether the autosum calculation of effort and points includes children from foreign projects.
    Parameters:
      `autosumForeignChildren` - Value of 'autosumForeignChildren'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)